using System.Collections.ObjectModel;
using Telerik.Maui;
using Telerik.Maui.Controls.DataGrid;

namespace MauiApp1
{
    public partial class MainPage : ContentPage
    {
        int count = 0;

        public MainPage()
        {
            //TelerikLocalizationManager.Manager.ResourceManager = DataGridResource.ResourceManager;
            //TelerikLocalizationManager.Manager = new CustomTelerikLocalizationManager();
            //TelerikLocalizationManager.Manager.ResourceManager = DatagridResource_zh.ResourceManager;
            TelerikLocalizationManager.Manager = new datagridlocalresource();
            InitializeComponent();
            this.BindingContext = this;
            Students.Add(new Student() { Name = "张三", Age = 12 ,Sex = true});
            Students.Add(new Student() { Name = "李四", Age = 10 ,Sex = false});
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
            Students.Add(new Student() { Name = "张三", Age = 12, Sex = true });
            Students.Add(new Student() { Name = "李四", Age = 10, Sex = false });
        }

        public ObservableCollection<Student> Students { get; set; } = new ObservableCollection<Student>();
    }



}
